.\"	$NetBSD$
.\"
.\" Copyright (c) 2007 Antti Kantee.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd August 10, 2007
.Dt MOUNT_SYSCTLFS 8
.Os
.Sh NAME
.Nm mount_sysctlfs
.Nd mount sysctl namespace as a directory hierarchy
.Sh SYNOPSIS
.Nm
.Op Fl o Ar mntopts
.Ar sysctlfs
.Ar mount_point
.Sh DESCRIPTION
The
.Nm
program provides the
.Xr sysctl 8
hierarchy through the file system namespace.
It is possible to browse the tree, query node values and modify them.
.Sh SEE ALSO
.Xr puffs 3 ,
.Xr puffs 4 ,
.Xr mount 8 ,
.Xr sysctl 8
.Sh HISTORY
The
.Nm
utility first appeared in
.Nx 5.0 .
.Sh CAVEATS
Tree nodes of type "struct" are not accessible through this interface.
